Bug 78842 - [swrast] piglit fcc-read-after-clear copy rb regression
Summary: [swrast] piglit fcc-read-after-clear copy rb regression
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Kenneth Graunke
QA Contact:
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-05-17 23:09 UTC by Vinson Lee
Modified: 2014-05-20 04:55 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2014-05-17 23:09:15 UTC
mesa: 5646319f25c7880b3706bb7590e24c84fd8de0fc (master 10.3.0-devel)

$ ./bin/fcc-read-after-clear copy rb -auto
Probe color at (0,0)
  Expected: 0.000000 1.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 0.000000
PIGLIT: {'result': 'fail' }


bd44ac8b5ca08016bb064b37edaec95eccfdbcd5 is the first bad commit
commit bd44ac8b5ca08016bb064b37edaec95eccfdbcd5
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Sun May 11 17:20:08 2014 -0700

    i965: Don't _swrast_BlitFramebuffer when doing CopyTexSubImage.
    
    The point of copytexsubimage_using_blit_framebuffer is to use a hardware
    accelerated BlitFramebuffer path.  If that fails, we shouldn't do a
    swrast blit---we should try our CTSI fallback code.
    
    This is especially important for i965 and GLES, where we don't even
    create a swrast context.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=77705
    Signed-off-by: Kenneth Graunke <kenneth@whitecape.org>
    Reviewed-by: Eric Anholt <eric@anholt.net>
    Reviewed-by: Chris Forbes <chrisf@ijw.co.nz>
    Cc: "10.2" <mesa-stable@lists.freedesktop.org>

:040000 040000 313ba4b4dcbf69457b565f9ce2988355431d461f 128c89746f13726404560571fe5d8a7a69df1d0b M	src
bisect run success
Comment 1 Ian Romanick 2014-05-19 01:53:58 UTC
This patch is also on the 10.2 branch... and I verified that the test also fails there.
Comment 3 Kenneth Graunke 2014-05-20 04:55:34 UTC
These are now in master as:

commit 2ecc7268bacf5d240ddd4d341360bfb31f4dd04f                                  
Author: Kenneth Graunke <kenneth@whitecape.org>                                  
Date:   Sun May 18 22:26:59 2014 -0700                                           
                                                                                 
    meta: Avoid _swrast_BlitFramebuffer in the meta CopyTexSubImage code.

and the preceding 3 commits.


bug/show.html.tmpl processed on Jan 18, 2017 at 04:04:00.
(provided by the Example extension).